{ SearchEnvironment - a procedure to search the environment for a given item }

{ This copy stripped of major comment block, for faster compile }

Type
  Str20 = string[20] ;

Procedure SearchEnvironment(Sought : Str20 ; var Found : str20 ) ;

Var
  Env, tptr, eptr, fptr, LT, j : integer ;
  b : byte ;
  test : str20 ;

Label  GotMatch ;

begin
  { Sector addr. of environment in in PSP (CS:) at offset 2C hex }
  if length(Sought) = 0 then
  begin
    Found[0] := chr(0) ; { return nothing if no request }
    exit ;
  end ;
  { accept lower-cases requests ... }
  for j := 0 to length(Sought) do Test[j] := UpCase(Sought[j]) ;
  Test := Test + '=' ;
  LT := length(Test) ;

  Env := Memw[Cseg:$002C] ;
  eptr := -1 ;
  repeat
    tptr := 0 ;
    repeat
      eptr := eptr + 1 ;
      tptr := tptr + 1 ;
      if tptr > LT then goto GotMatch ;
    until chr(mem[Env:eptr]) <> Test[tptr] ; { until mismatch }
    repeat
      eptr := eptr + 1 ;
    until mem[Env:eptr] = 0 ; { until end of this environment entry }
  until mem[Env:eptr+1] = 0 ; { until final end of environment }
  found[0] := chr(0) ; { create a null string }
  Exit ; { and return it }

GotMatch :
  { maybe we got an empty entry like "PATH=" }
  if mem[Env:eptr] = 0 then { return string length 1, contains null }
  begin
    found[0] := chr(1) ;
    found[1] := chr(0) ;
  end
  else { a normal case }
  begin
    fptr := 1 ;
    repeat
      found[fptr] := chr(mem[Env:eptr]) ;
      eptr := eptr + 1 ;
      fptr := fptr + 1 ;
    until mem[Env:eptr] = 0 ;
    found[0] := chr(fptr - 1) ; { length of found string }
  end ; { of else }
end ;