Type Str255 = String[255] ;

Function StringOf(n : integer ; ch : char ) : str255 ;

{ Creates a string containing n successive ch's.  Useful in drawing }
{ boxes to avoid high overhead of multiple calls to write, as in ... }
{ for j = 1 to n do write(ch) ;   etc. }

Var
  TStr : str255 ;
  j : integer ;

begin
  TStr[0] := chr(n) ;
  j := 1 ;
  while j <= n do
  begin
    TStr[j] := ch ;
    j := j + 1 ;
  end ;
  StringOf := TStr ;
end ;
